edu.msu.cme.rdp.classifier.train.validation

## Class StatusCountUtils

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.StatusCountUtils

    public class StatusCountUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StatusCountUtils()`

### Method Summary

Methods
`static java.lang.String` `calAUC(java.lang.String label, java.util.ArrayList<java.util.HashMap<java.lang.String,StatusCount>> statusCountList)` calculate Area under curve sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)
`static java.lang.String` `calROCMatrix(java.lang.String label, java.util.ArrayList<java.util.HashMap<java.lang.String,StatusCount>> statusCountList)` return the ROC matrix, for each rank, each bootstrap value sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusCountUtils

    public StatusCountUtils()

### Method Detail

#### calROCMatrix

    public static java.lang.String calROCMatrix(java.lang.String label,
                                java.util.ArrayList<java.util.HashMap<java.lang.String,StatusCount>> statusCountList)

return the ROC matrix, for each rank, each bootstrap value sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)

Parameters:
  `statusCountList` -

#### calAUC

    public static java.lang.String calAUC(java.lang.String label,
                          java.util.ArrayList<java.util.HashMap<java.lang.String,StatusCount>> statusCountList)

calculate Area under curve sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)

Parameters:
  `statusCountList` -